FactoryBot.define do
  factory :contract_template do
    association :project

    name "Test template"
    release_type "appearance"
    body "This is a test contract template."
    guardian_clause "Is the signer a minor?"
    fee "$0.00"

    trait :archived do
      archived_at Time.zone.now
    end

    factory :appearance_release_contract_template do
      release_type "appearance" 
    end

    factory :talent_release_contract_template do
      release_type "talent" 
    end

    factory :medical_release_contract_template do
      release_type "medical" 
    end

    factory :material_release_contract_template do
      release_type "material" 
    end

    factory :location_release_contract_template do
      release_type "location" 
    end

    factory :acquired_media_release_contract_template do
      release_type "acquired_media" 
    end
  end
end
